Bug 239048 - SELinux is preventing /usr/bin/dund (bluetooth_t) "connectto" access to /var/run/sdp (bluetooth_t)
Summary: SELinux is preventing /usr/bin/dund (bluetooth_t) "connectto" access to /var/...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 16:54 UTC by Kevin R. Page
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 17:08:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin R. Page 2007-05-04 16:54:47 UTC
Description of problem:
When I start dund (with "service start dund") it appears to start, but actually
fails to talk to sdpd with:

avc: denied { connectto } for comm="dund" egid=0 euid=0 exe="/usr/bin/dund"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="sdp" path="/var/run/sdp" pid=4072
scontext=user_u:system_r:bluetooth_t:s0 sgid=0
subj=user_u:system_r:bluetooth_t:s0 suid=0 tclass=unix_stream_socket
tcontext=system_u:system_r:bluetooth_t:s0 tty=(none) uid=0 
dund[26197]: Failed to connect to the local SDP server. Permission denied(13)




Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-62.fc6

Additional info:
Source Context:  user_u:system_r:bluetooth_t
Target Context:  system_u:system_r:bluetooth_t
Target Objects:  /var/run/sdp [ unix_stream_socket ]
Affected RPM Packages:  bluez-utils-3.7-2 [application]
Policy RPM:  selinux-policy-2.4.6-62.fc6
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.disable_trans

Comment 1 Daniel Walsh 2007-05-05 11:37:13 UTC
Fixed in selinux-policy-2.4.6-69

You can get this to work now by executing

grep bluetooth /var/log/audit/audit.log | audit2allow -M mybluetooth

semodule -i mybluetooth.pp



Comment 2 Daniel Walsh 2007-09-12 17:08:27 UTC
Moving modified bugs to closed



Note You need to log in before you can comment on or make changes to this bug.